Bug 116062 - Crash on using gnome-help
Crash on using gnome-help
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 18:23 EST by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 18:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-help dump (47.44 KB, text/plain)
2004-02-17 18:24 EST, Leonard den Ottolander
no flags Details

  None (edit)
Description Leonard den Ottolander 2004-02-17 18:23:44 EST
Description of problem:

When openig help from iirc the volume-control a crash appeared. Not
sure what caused it, maybe closing the window. Or just during startup.


Version-Release number of selected component (if applicable):

yelp-2.4.0-1

How reproducible:

Dunno. Not seen before.
Comment 1 Leonard den Ottolander 2004-02-17 18:24:21 EST
Created attachment 97774 [details]
gnome-help dump
Comment 2 sangu 2004-02-19 10:22:57 EST
When yelp 2.5.3 and libxslt 1.1.3, the similar problem happens.
However intalling libxslt 1.1.2, yelp 2.5.3 does not clash.
Comment 3 sangu 2004-02-19 10:28:20 EST
in yelp 2.5.3 and libxslt 1.1.3

(gdb) bt
#0  0x00534592 in _int_free () from /lib/tls/libc.so.6
#1  0x0053352b in free () from /lib/tls/libc.so.6
#2  0x00263a9c in xmlFreeNodeList () from /usr/lib/libxml2.so.2
#3  0x002639d0 in xmlFreeNodeList () from /usr/lib/libxml2.so.2
#4  0x002639d0 in xmlFreeNodeList () from /usr/lib/libxml2.so.2
#5  0x002639d0 in xmlFreeNodeList () from /usr/lib/libxml2.so.2
#6  0x002639d0 in xmlFreeNodeList () from /usr/lib/libxml2.so.2
#7  0x0026129d in xmlFreeDoc () from /usr/lib/libxml2.so.2
#8  0x080507db in db_pager_get_sections ()
#9  0x0075738f in xsltApplyOneTemplate () from /usr/lib/libxslt.so.1
#10 0x0075b188 in xsltForEach () from /usr/lib/libxslt.so.1
#11 0x0075753c in xsltApplyOneTemplate () from /usr/lib/libxslt.so.1
#12 0x0075a93f in xsltChoose () from /usr/lib/libxslt.so.1
#13 0x0075753c in xsltApplyOneTemplate () from /usr/lib/libxslt.so.1
#14 0x0075add5 in xsltIf () from /usr/lib/libxslt.so.1
#15 0x0075753c in xsltApplyOneTemplate () from /usr/lib/libxslt.so.1
#16 0x00759c25 in xsltCallTemplate () from /usr/lib/libxslt.so.1
#17 0x0075753c in xsltApplyOneTemplate () from /usr/lib/libxslt.so.1
#18 0x00756a31 in xsltProcessOneNode () from /usr/lib/libxslt.so.1
#19 0x0075b817 in xsltApplyStripSpaces () from /usr/lib/libxslt.so.1
#20 0x080502b6 in db_pager_process ()
#21 0x001cf213 in g_timeout_add () from /usr/lib/libglib-2.0.so.0
#22 0x001cc46d in unblock_source () from /usr/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#23 0x001cd538 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#24 0x001cd870 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#25 0x001cdfd1 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#26 0x0488d098 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#27 0x0805bfd7 in main ()
Comment 4 Leonard den Ottolander 2004-02-19 13:13:00 EST
Is the above example reproducible?
Comment 5 sangu 2004-02-19 19:40:22 EST
leonard : yes, always
Comment 6 Leonard den Ottolander 2004-02-19 21:37:48 EST
These are different issues. I use yelp-2.4.0-1 and libxslt-1.0.33-2 on
Fedora Core 1. I assume you are running Fedora Core Test 2. You should
file a separate bug report.
Comment 7 Ray Strode [halfline] 2005-05-11 18:11:41 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.